import 'package:flutter/material.dart';

import '../../../core.dart';



Future<void> buildDeleteDialog({
  required Future<void> Function() onConfirm,
  required Future<void> Function() onRefresh,
}) async {
  await Get.defaultDialog(
    title: 'حذف',
    middleText: 'آیا از حذف این مورد مطمئن هستید؟',
    confirm: ElevatedButton(
      style: ElevatedButton.styleFrom(
        backgroundColor: AppColor.error,
        foregroundColor: Colors.white,
      ),
      onPressed: () async {
        await onConfirm();
        onRefresh();
        Get.back();
      },
      child: Text('بله'),
    ),
    cancel: ElevatedButton(
      onPressed: () {
        Get.back();
      },
      child: Text('خیر'),
    ),
  );
}
